Name:      graphite2
Version:   1.3.13
Release:   2
Summary:   Graphite provides cross-platform rendering for complex writing systems

License:   (LGPLv2+ or GPLv2+ or MPL) and (Netscape or GPLv2+ or LGPLv2+)
URL:       https://sourceforge.net/projects/silgraphite/
Source0:   https://downloads.sourceforge.net/project/silgraphite/graphite2//%{name}-%{version}.tgz

Patch1:    graphite2-1.2.0-cmakepath.patch

BuildRequires: gcc gcc-c++ cmake freetype-devel doxygen asciidoc python-unversioned-command gdb
BuildRequires: texlive-helvetic texlive-sectsty texlive-tocloft texlive-xtab texlive-multirow python3-fonttools

Obsoletes: silgraphite < 2.3.1-5

%description
Graphite is a system that can be used to create “smart fonts” capable of displaying writing systems with various complex behaviors. A smart font contains not only letter shapes but also additional instructions indicating how to combine and position the letters in complex ways.

%package devel
Summary: Development headers and libraries for graphite2
Requires: %{name} = %{version}-%{release}

Obsoletes: silgraphite-devel < 2.3.1-5

%description devel
Header files for using the graphite2 libraries.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DGRAPHITE2_COMPARE_RENDERER=OFF  .
%make_build all docs

%install
%make_install INSTALL="install -p"

%check
ctest

%pre

%preun


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%license LICENSE COPYING
%doc ChangeLog README.md
%{_bindir}/gr2fonttest
%{_libdir}/libgraphite2.so.3
%{_libdir}/libgraphite2.so.3.2.1
%exclude %{_libdir}/*.la

%files  devel
%doc doc/manual.html
%{_includedir}/graphite2
%{_libdir}/libgraphite2.so
%{_libdir}/pkgconfig/graphite2.pc
%{_libdir}/graphite2/graphite2*.cmake

%changelog
* Fri Mar 20 2020 songnannan <songnannan2@huawei.com> - 1.3.13-2
- add gdb in buildrequires

* Fri Jan 10 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.3.13.1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: delete patches

* Tue Sep 17 2019 hufeng <solar.hu@huawei.com> - 1.3.10.7
-Create graphite2 spec
